﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/4dd88832-b055-47ef-bc31-581d0c801e59/589f0bb7d0216ea7ef7e566caa84c7d5/dotnet-sdk-2.1.522-win-x86.exe'
$checksum   = '63d988873fcd5e7eca529efa064be79216673188f623a3f44511312edb39b387f5463207ec37f5c5b01cf1026a75bc71e1360e969c8b674add62859383d0b32a'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/5be98caf-d5d4-4d30-b8f5-66c1884e675c/68ba4c84aeb489254044ec0e0ad1f852/dotnet-sdk-2.1.522-win-x64.exe'
$checksum64 = '3e8fa328b495ea8fb96b5d2bc2b6288bd8a924fecade8bc7c7c0d8ec2367d770b7cb2ca6d752b128e5a9ca4be08b26a83af188730efb92e9f36aa86c599493c8'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
